ImportOS · Документація
Довідник API

GET /readyz

Readiness probe (PostgreSQL + Redis)

Readiness probe (PostgreSQL + Redis)

Checks PostgreSQL (SELECT 1 through the rv_app role) and Redis (PING). The result is cached for ~3 seconds. No authentication.

  • Автентифікація: Без автентифікації
Опис операції, параметрів і полів походить зі специфікації OpenAPI (openapi.json) і подається англійською, як у самому API.

Відповіді

200

All dependencies reachable.

application/json · Схема: Readyz

ПолеТипОбов’язк.Опис
status"ok" | "fail"так
checksobjectтак
checks.db"ok" | "fail"так
checks.redis"ok" | "fail"так

503

A dependency is unavailable.

application/json · Схема: Readyz

На цій сторінці